-- ============================================================================
-- Table Utilities  
-- ============================================================================
AIOS_CopyBox_TableUtils = {}

function AIOS_CopyBox_TableUtils:Contains(table, value)
    for _, v in pairs(table) do
        if v == value then
            return true
        end
    end
    return false
end

function AIOS_CopyBox_TableUtils:ShallowCopy(original)
    local copy = {}
    for key, value in pairs(original) do
        copy[key] = value
    end
    return copy
end